@import "../_mixins/mixins";

.header {
  background: #10BBD5;
  position: sticky;
  top: 0;
  z-index: 100;

  &__wrapper{
    @include flex(row, nowrap, space-between, center);

    &__logo {
      margin: 22px 0;
    }
  }
}


.nav-wrapper, .nav__links, .footer-wrapper {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
}

.cart {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  gap: 8px;
  margin: 16px 0;

  &__sum {
    color: #F8FDFE;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
  }

  &__btn {
    background-image: url("../../images/cart_icon.png");
    width: 40px;
    height: 40px;
    border: none;
    background-color: transparent;
    color: #000;
    font-family: Cabin, serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 10px;
    padding: 12px 12px 18px 19px;
  }
}

.nav {
  background: #F8FDFE;
  position: sticky;
  top: 77px;
  z-index: 100;

  &__h {
    color: #000;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;

    margin: 4px 0;
  }

  &__links {
    gap: 40px;
  }

  &__link {
    color: #000;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
  }
}